package cn.iocoder.yudao.module.reward.service.redeem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.reward.dal.dataobject.redeem.RewardRedeemDO;
import cn.iocoder.yudao.module.reward.vo.reward.RewardRedeemPageReqVO;
import cn.iocoder.yudao.module.reward.vo.reward.RewardRedeemPageRespVO;
import cn.iocoder.yudao.module.reward.vo.reward.RewardRedeemUpdateVO;
import cn.iocoder.yudao.module.reward.vo.reward.RewardRedeemVerifyVO;

/**
 * 礼品兑换 Service 接口
 *
 * @author 系统管理员
 */
public interface RewardRedeemService extends IService<RewardRedeemDO> {

    PageResult<RewardRedeemPageRespVO> pageInfo(RewardRedeemPageReqVO reqVO);

    RewardRedeemPageRespVO detail(Long id);

    Boolean updateRecord(RewardRedeemUpdateVO request);

    Boolean verify(RewardRedeemVerifyVO request);
}
